1
0 3
0 39 4
0 20 9
161
160
185
199
174
169
188
178
167
1 28 14
370
398
396
384
368
361
389
360
376
367
369
395
390
365
2 24 15
309
293
297
316
299
308
294
304
283
288
305
319
284
302
290
3 27 13
110
90
97
88
103
113
116
111
100
87
82
107
106
1 35 4
4 20 9
179
191
190
186
187
170
195
194
163
5 23 13
70
71
57
63
61
45
67
78
74
59
46
60
66
6 25 16
32
8
3
5
26
4
24
12
1
31
23
37
27
18
7
14
7 32 9
202
227
208
222
218
213
237
216
210
2 26 3
8 26 5
354
341
328
344
336
9 33 9
255
244
262
276
261
251
247
245
277
10 36 8
124
127
156
126
142
144
145
131
